curl --request POST \
--url https://mention-me.com/api/entry-point/{version}/referee \
--header 'Content-Type: application/json' \
--data '
{
"request": {
"partnerCode": "[YOUR-PARTNER-CODE]",
"situation": "mobile-app",
"localeCode": "en_GB",
"segment": "vip",
"ipAddress": "127.0.0.1",
"userDeviceIdentifier": "",
"deviceType": "",
"appName": "",
"appVersion": "e.g. MyApp/v1.73",
"variation": ""
},
"customer": {
"emailAddress": "",
"title": "",
"firstname": "",
"surname": "",
"uniqueIdentifier": ""
},
"implementation": {
"wrapContentWithBranding": true,
"showCloseIcon": false
}
}
'import requests
url = "https://mention-me.com/api/entry-point/{version}/referee"
payload = {
"request": {
"partnerCode": "[YOUR-PARTNER-CODE]",
"situation": "mobile-app",
"localeCode": "en_GB",
"segment": "vip",
"ipAddress": "127.0.0.1",
"userDeviceIdentifier": "",
"deviceType": "",
"appName": "",
"appVersion": "e.g. MyApp/v1.73",
"variation": ""
},
"customer": {
"emailAddress": "",
"title": "",
"firstname": "",
"surname": "",
"uniqueIdentifier": ""
},
"implementation": {
"wrapContentWithBranding": True,
"showCloseIcon": False
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
request: {
partnerCode: '[YOUR-PARTNER-CODE]',
situation: 'mobile-app',
localeCode: 'en_GB',
segment: 'vip',
ipAddress: '127.0.0.1',
userDeviceIdentifier: '',
deviceType: '',
appName: '',
appVersion: 'e.g. MyApp/v1.73',
variation: ''
},
customer: {emailAddress: '', title: '', firstname: '', surname: '', uniqueIdentifier: ''},
implementation: {wrapContentWithBranding: true, showCloseIcon: false}
})
};
fetch('https://mention-me.com/api/entry-point/{version}/referee', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "<string>",
"defaultCallToAction": ""
}Find a friend by name
Provide some details of a referee (optional - if you have them) and some context (such as locale) so we can tell you if we can serve a name finder journey. We’ll provide the URL to the web-view for their journey.
Given a set of input parameters about the referee (and segment etc), decide if we could serve them a referee name finder journey and give them a link to the web view for doing that.
If you choose to direct the consumer to the URL via an iframe, the closing of the journey and the fulfillment of any coupon is done via postMessage. If you send the consumer to the URL they will close the flow using the browser itself and the CTA at the end is the defined CTA URL to take them to the next step of their journey.
Path Parameters
Version
v2, v1 v2|v1Body
Information to retrieve a referee entry point URL
Was this page helpful?